Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Blocks beim "emerge -avuDN system"
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
BlackEye
l33t
l33t


Joined: 04 Dec 2002
Posts: 756
Location: Germany

PostPosted: Wed Mar 27, 2013 6:32 pm    Post subject: Blocks beim "emerge -avuDN system" Reply with quote

Hallo Leute,

hoffentlich kann mir hier jemand helfen denn ich komm hier echt nicht mehr klar :roll:
Ich gebe zu, mangels Zeit führe ich nicht gerade sehr häufig ein "emerge -avuDN system" durch, aber nichts desto trotz muss das ja irgendwie funktionieren..

Ich bekomme hier Blocks und weiss vor lauter Bäumen nicht mehr auf welchen Buchstabensalat ich achten muss 8O

Portage pullt mir mit dem Target 'system' tonnenweise QT und KDE Krams rein und ich hab den überblick total verloren. Ich möchte doch erstmal nur system aktualisieren. KDE und Konsorten sollen dann später folgen.

So schaut erstmal die Ausgabe von "emerge -avuDN system" aus. Um die Übersicht zu bewahren habe ich das mal mit pastebin verlinkt. Ich hoffe das ist okay so:
http://pastebin.com/raw.php?i=V3v7kZd4
Wie man hier sehen kann, tauchen da schon Dinge auf, die in 'system' eigentlich nichts zu suchen haben. Irgendwas muss ich hier wohl vergurkt haben :(

Ich hab versucht das mittel --tree irgendwie analysiert zu bekommen, aber ich hab diese Blocks glaube ich bis heute noch nicht gerafft :oops:
So sieht die Ausgabe mit --tree aus:
http://pastebin.com/raw.php?i=nXXSetLv

Ich hoffe mir kann da eine den absoluten Kracherhinweis liefern damit ich mal mit dem updaten loslegen kann :)

Besten Dank schon mal im Voraus!
Martin
Back to top
View user's profile Send private message
demiurg
n00b
n00b


Joined: 26 Jul 2005
Posts: 45

PostPosted: Thu Mar 28, 2013 7:00 am    Post subject: Blocks beim "emerge -avuDN system" Reply with quote

Hallo,

Ich würde bei dem Gewusel schrittweise vorgehen.
Erstmal versuchen das ganze qt-Gerödel auf den aktuellen Stand zu bringen (in der Hoffnung, das nichts installiert ist, was explizit die alte Version benötigt). Dann dürfte es besser werden mit dem "großen Sprung".
emerge -pu qt-core, schauen was passiert und welche qt-Pakete mitgenommen werden. Wenn was offen bleibt, den Rest der qt- Pakete auch manuell updaten.
Ist schon eine Weile her, aber mit den qt- Geschichten knackte es in der Vergangenheit auch auf meinem System öfter im Gebälk.

Gruß
_________________
Kernel 3.14.xx-gentoo
64bit nativ no-multilib GCC 4.7.x
KDE
Phenom II X4 965
GA 890GPA UD3H
ATI 5770
Back to top
View user's profile Send private message
BlackEye
l33t
l33t


Joined: 04 Dec 2002
Posts: 756
Location: Germany

PostPosted: Thu Mar 28, 2013 7:53 am    Post subject: Reply with quote

Jupp - das hatte ich heute Nacht durch ausprobieren dann auch schon heraus gefunden. Ich habe erstmlal QT Beine gemacht und dann ging es auch mit dem system wieder weiter.
Wobei trotzdem ne Menge KDE-Krams dabei war. Vermutlich sind die Pakete einfach zu alt gewesen bei mir (bin noch auf KDE 4.8 stand und im portage ist ja längst 4.9 freigegeben)

Es geht jetzt erstmal weiter bei mir. Danke für den Tipp!
Back to top
View user's profile Send private message
Max Steel
Veteran
Veteran


Joined: 12 Feb 2007
Posts: 1951
Location: My own world! I and Gentoo!

PostPosted: Thu Mar 28, 2013 7:41 pm    Post subject: Reply with quote

Solche reinstallierungen lieber mit --oneshot machen. Ansonsten bekommst du viele Dinge in die world-file die du eigentlich nicht willst (wie z.B. die qt- Dinge)
_________________
mfg
Steel
___________________
Big sorry for my bad English.

Heim-PC: AMD Phenom II X4 3,2GHz, 16GB RAM, gentoo-sources-3.10.7, NV GTX 780
Laptop: Intel Celeron 1,7GHz, 512MB Ram, tuxonice-sources-3.7.1, SIS Graphic

Version 0.4
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum